#!/bin/bash

NTEST=2
TAILLES="100000 200000 500000"
echo "Taille,Version,CPU,Mem"

for taille in $TAILLES
do
    for i in `seq $NTEST`
    do 
    if [ $i = 1 ]
    then
            res=`(/usr/bin/time -f "%U,%M" java p4a.MainArrayListStd $taille > /dev/null) 2>&1`
            echo "$taille,ArrayListStd,$res"
    else
            res=`(/usr/bin/time -f "%U,%M" java p4a.MainLinkedListStd $taille > /dev/null) 2>&1`
            echo "$taille,LinkedListStd,$res"
    fi
    done
done 